Bug 36453 - Update to 4.0 fails if firefox and univention-mozilla-firefox
Update to 4.0 fails if firefox and univention-mozilla-firefox
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Update - Release updates
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Arvid Requate
Felix Botner
: interim-4
Depends on:
Blocks: 37409
  Show dependency treegraph
 
Reported: 2014-11-05 13:52 CET by Felix Botner
Modified: 2014-12-22 09:22 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2014-11-05 13:52:24 CET
UCS 3.2 

-> univention-install firefox univention-mozilla-firefox

-> univention-upgrade
...
Starting update process, this may take a while.
Check /var/log/univention/updater.log for more information.
Error: Please check "/var/log/univention/updater.log" for details.
ERROR: update failed. Please check /var/log/univention/updater.log

Es wurden 697 MB in 43 s geholt (16,2 MB/s)
E: »firefox-en« konnte nicht unmittelbar konfiguriert werden. Lesen Sie »man 5 apt.conf« unter APT::Immediate-Configure bezüglich weiterer Details. (2)
Error: Failed to execute "apt-get -o DPkg::Options::=--force-confold -o DPkg::Options::=--force-overwrite -o DPkg::Options::=--force-overwrite-dir --trivial-only=no --assume-yes --quiet=1 -u dist-upgrade"
exitcode of univention-updater: 1
ERROR: update failed. Please check /var/log/univention/updater.log
Comment 1 Arvid Requate univentionstaff 2014-11-05 18:59:15 CET
I removed the legacy package "firefox" from the list of alternative dependencies specified by univention-mozilla-firefox. In my update tests this resulted in firefox getting replaced by firefox-en. I added a changelog entry for this.
Comment 2 Felix Botner univentionstaff 2014-11-06 10:06:34 CET
I get 

The following packages have been kept back:
  db4.8-util  univention-mozilla-firefox

so apt-get keeps firefox installed. Is that ok?
Comment 3 Arvid Requate univentionstaff 2014-11-06 19:01:33 CET
I added a pre-update to preup.sh.
Comment 4 Felix Botner univentionstaff 2014-11-07 10:23:58 CET
OK - update without firefox
OK - update with firefox

OK - Changelog
Comment 5 Stefan Gohmann univentionstaff 2014-11-26 06:53:54 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".